## protonvpn-cli 2.2.11

=== requirements.txt ===
# Call with pip install -r requirements.txt
docopt
requests
pythondialog
jinja2

## protonvpn-cli 2.2.4

=== debian/changelog ===
protonvpn-cli (2.2.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * debian/copyright: updated packaging copyright.
  * debian/upstream/metadata: created.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 19 Oct 2020 14:50:30 +0000

protonvpn-cli (2.2.4-1) unstable; urgency=low

  * Initial release (Closes: #961706)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 08 Jun 2020 06:20:13 +0000

=== debian/control ===
Source: protonvpn-cli
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://protonvpn.com
Vcs-Browser: https://salsa.debian.org/python-team/packages/protonvpn-cli
Vcs-Git: https://salsa.debian.org/python-team/packages/protonvpn-cli.git

Package: protonvpn-cli
Architecture: all
Depends: iptables,
         openvpn,
         procps,
         ${misc:Depends},
         ${python3:Depends}
Description: command-line client for ProtonVPN
 ProtonVPN-CLI is a user-friendly command-line tool for accessing
 the Swiss based privacy-focused ProtonVPN VPN service.
 .
 Need a ProtonVPN account to use it: can create one at
 https://protonvpn.com. Free accounts are available, although with
 limited features: only 3 countries (Japan, Netherlands, USA) are
 available with the free plan.
 It can also easily add an extra layer of privacy by activating Tor
 (needs paid plan).

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=protonvpn-cli

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: protonvpn --version
Restrictions: needs-root, superficial

=== debian/watch ===
version=4
https://github.com/ProtonVPN/linux-cli/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## protonvpn-cli 2.2.11

=== debian/changelog ===
protonvpn-cli (2.2.11-1~mx21+1) mx; urgency=medium

  * Initial packaging of new release MX-21.
  * Update debian/control description.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 29 Oct 2021 18:36:58 -0400

protonvpn-cli (2.2.4-1~mx19+1) mx; urgency=medium

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Jun 2020 17:37:48 -0700

=== debian/control ===
Source: protonvpn-cli
Section: net
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.1.3
Homepage: https://github.com/Rafficer/linux-cli-community
X-Python3-Version: >= 3.5

Package: protonvpn-cli
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         openvpn,
Description: Linux CLI for ProtonVPN
 ProtonVPN-CLI is a full rewrite of the bash protonvpn-cli in Python, which adds
  more features and functionality with the purpose of improving readability, 
  speed and reliability.
